Bug 804989 - Designer doesn't allow sequence flow from boundary compensation event
Designer doesn't allow sequence flow from boundary compensation event
Status: ASSIGNED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Tihomir Surdilovic
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 07:46 EDT by Tomas Schlosser
Modified: 2012-11-09 00:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The jBPM runtime, and by extension the Process Designer, do not support sequence flow from boundary compensation events.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the sample process (14.20 KB, image/png)
2012-03-20 07:46 EDT, Tomas Schlosser
no flags Details
from bpmn2 docs (51.14 KB, image/png)
2012-03-26 11:53 EDT, Tihomir Surdilovic
no flags Details

  None (edit)
Description Tomas Schlosser 2012-03-20 07:46:18 EDT
Created attachment 571366 [details]
Screenshot of the sample process

Description of problem:
Only association is allowed as an edge going from boundary compensation event. According to BPMN 2.0 specification it should be possible to drag a sequence flow from such event node.

Version-Release number of selected component (if applicable):
BRMS-5.3.0-ER4

How reproducible:
Every time

Steps to Reproduce:
1. add an activity to the pane
2. add boundary throw compensation event
3. drag the activity from menu to the right of the node
  
Actual results:
activity is connected using 'association flow'

Expected results:
activity is connected using 'sequence flow'

Additional info:
other (supported) boundary events allow sequence flow correctly
Comment 1 Tihomir Surdilovic 2012-03-26 11:53:07 EDT
I think this is the case for the throwing event which cannot be a boundary event. For catching event only a compensation associations are possible (see screenshot).
Comment 2 Tihomir Surdilovic 2012-03-26 11:53:51 EDT
Created attachment 572785 [details]
from bpmn2 docs
Comment 3 Tomas Schlosser 2012-03-28 02:17:15 EDT
Then make it work. If you create such process, it can't be saved nor BPMN2 can be viewed. And if you handwrite it, the jbpm engine does not compile such a jbpm. However if you substitute it wit sequence flow, it works like a charm (not in designer, in jbpm engine)
Comment 4 Tihomir Surdilovic 2012-03-28 08:46:27 EDT
After talking to Kris about this, we decided to remove the intermediate compensation events from the Designer stencil set until the runtime has proper support for them. At that point we can revisit and fix any outstanding bugs. This has been committed to designer master and the 2.1.x branch.
Comment 5 Ryan Zhang 2012-04-23 03:40:16 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 7 Tomas Schlosser 2012-05-02 10:31:53 EDT
The possibility of intermediate catch events is disabled, but we want it fixed in the future. Therefore marking it ASSIGNED and removing target milestone.
Comment 8 lcarlon 2012-06-12 22:26:37 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The jBPM runtime, and by extension the process designer, do not support sequence flow from boundary compensation events.

Note You need to log in before you can comment on or make changes to this bug.